/*
* Usage:
* 1. Same values for all properties:
*   .f-button {
*       @include transition(
*           (background-color, border-color, color, box-shadow, transform),
*           $transition-duration: $transition-duration-long
*       );
*   }
*
* 2. Different values for specific properties:
*   .f-button {
*       @include transition((
*           background-color: $transition-duration-short null null,
*           border-color: null,
*           box-shadow: 0.315s ease-in null,
*           transform: null ease null
*       ));
*   }
* (!) All values for each property is required.
* (!) 'null' is used for setting default value.
*/
@-webkit-keyframes fade-in {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
@keyframes fade-in {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
/* Mixin to cut off the rest of one-line text with dots */
/* Firefox+ CSS styles go here */
.f-checkbox__label .f-field,
.f-radio__label .f-field {
  cursor: default;
}

/*
   1.0 Utility functions for RTLCSS
*/
/* Replace. Replaces the declaration value with {value}.
** Usage:
** letter-spacing: 1px rtl(normal);
*/
/* Append. Appends {value} to the end of the declaration value.
** Usage:
** transform: rotate(45deg) rtl-append(scaleX(-1));
*/
/* Prepend. Prepend {value} to the begining of the declaration value.
** Usage:
** transform: rotate(45deg) rtl-prepend(scaleX(-1));
*/
/* Prepend. Prepend {value} to the begining of the declaration value.
** Usage:
** transform: rotate(45deg) rtl-prepend(scaleX(-1));
*/
/* Ignore. Ignores processing of this declaration
** Usage:
** text-align: left rtl-ignore();
*/
.swatch-circle-dark {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 2.5em;
  height: 2.5em;
  background: #1a1a1a;
  -moz-border-radius: 1.25em;
  border-radius: 1.25em;
  display: block;
  position: relative;
}
.swatch-circle-dark.disabled {
  opacity: 0.2;
}

.swatch-filter-dark {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 1.38em;
  height: 1.38em;
  background: #1a1a1a;
  -moz-border-radius: 0.69em;
  border-radius: 0.69em;
  background-color: #1a1a1a;
  display: block;
  position: relative;
}
.swatch-filter-dark.disabled {
  opacity: 0.2;
}

.swatch-circle-purple {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 2.5em;
  height: 2.5em;
  background: #800080;
  -moz-border-radius: 1.25em;
  border-radius: 1.25em;
  display: block;
  position: relative;
}
.swatch-circle-purple.disabled {
  opacity: 0.2;
}

.swatch-filter-purple {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 1.38em;
  height: 1.38em;
  background: #800080;
  -moz-border-radius: 0.69em;
  border-radius: 0.69em;
  background-color: #800080;
  display: block;
  position: relative;
}
.swatch-filter-purple.disabled {
  opacity: 0.2;
}

.swatch-circle-red {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 2.5em;
  height: 2.5em;
  background: #f00;
  -moz-border-radius: 1.25em;
  border-radius: 1.25em;
  display: block;
  position: relative;
}
.swatch-circle-red.disabled {
  opacity: 0.2;
}

.swatch-filter-red {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 1.38em;
  height: 1.38em;
  background: #f00;
  -moz-border-radius: 0.69em;
  border-radius: 0.69em;
  background-color: #f00;
  display: block;
  position: relative;
}
.swatch-filter-red.disabled {
  opacity: 0.2;
}

.swatch-circle-silver {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 2.5em;
  height: 2.5em;
  background: #c0c0c0;
  -moz-border-radius: 1.25em;
  border-radius: 1.25em;
  display: block;
  position: relative;
}
.swatch-circle-silver.disabled {
  opacity: 0.2;
}

.swatch-filter-silver {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 1.38em;
  height: 1.38em;
  background: #c0c0c0;
  -moz-border-radius: 0.69em;
  border-radius: 0.69em;
  background-color: #c0c0c0;
  display: block;
  position: relative;
}
.swatch-filter-silver.disabled {
  opacity: 0.2;
}

.swatch-circle-white {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 2.5em;
  height: 2.5em;
  background: #fff;
  -moz-border-radius: 1.25em;
  border-radius: 1.25em;
  display: block;
  position: relative;
}
.swatch-circle-white.disabled {
  opacity: 0.2;
}

.swatch-filter-white {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 1.38em;
  height: 1.38em;
  background: #fff;
  -moz-border-radius: 0.69em;
  border-radius: 0.69em;
  background-color: #fff;
  display: block;
  position: relative;
}
.swatch-filter-white.disabled {
  opacity: 0.2;
}

.swatch-circle-yellow {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 2.5em;
  height: 2.5em;
  background: #ff0;
  -moz-border-radius: 1.25em;
  border-radius: 1.25em;
  display: block;
  position: relative;
}
.swatch-circle-yellow.disabled {
  opacity: 0.2;
}

.swatch-filter-yellow {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 1.38em;
  height: 1.38em;
  background: #ff0;
  -moz-border-radius: 0.69em;
  border-radius: 0.69em;
  background-color: #ff0;
  display: block;
  position: relative;
}
.swatch-filter-yellow.disabled {
  opacity: 0.2;
}

.swatch-circle-light {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 2.5em;
  height: 2.5em;
  background: #ffffe6;
  -moz-border-radius: 1.25em;
  border-radius: 1.25em;
  display: block;
  position: relative;
}
.swatch-circle-light.disabled {
  opacity: 0.2;
}

.swatch-filter-light {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 1.38em;
  height: 1.38em;
  background: #ffffe6;
  -moz-border-radius: 0.69em;
  border-radius: 0.69em;
  background-color: #ffffe6;
  display: block;
  position: relative;
}
.swatch-filter-light.disabled {
  opacity: 0.2;
}

.swatch-circle-medium {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 2.5em;
  height: 2.5em;
  background: #ffc;
  -moz-border-radius: 1.25em;
  border-radius: 1.25em;
  display: block;
  position: relative;
}
.swatch-circle-medium.disabled {
  opacity: 0.2;
}

.swatch-filter-medium {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 1.38em;
  height: 1.38em;
  background: #ffc;
  -moz-border-radius: 0.69em;
  border-radius: 0.69em;
  background-color: #ffc;
  display: block;
  position: relative;
}
.swatch-filter-medium.disabled {
  opacity: 0.2;
}

.swatch-circle-black {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 2.5em;
  height: 2.5em;
  background: #000;
  -moz-border-radius: 1.25em;
  border-radius: 1.25em;
  display: block;
  position: relative;
}
.swatch-circle-black.disabled {
  opacity: 0.2;
}

.swatch-filter-black {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 1.38em;
  height: 1.38em;
  background: #000;
  -moz-border-radius: 0.69em;
  border-radius: 0.69em;
  background-color: #000;
  display: block;
  position: relative;
}
.swatch-filter-black.disabled {
  opacity: 0.2;
}

.swatch-circle-blue {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 2.5em;
  height: 2.5em;
  background: #0070d2;
  -moz-border-radius: 1.25em;
  border-radius: 1.25em;
  display: block;
  position: relative;
}
.swatch-circle-blue.disabled {
  opacity: 0.2;
}

.swatch-filter-blue {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 1.38em;
  height: 1.38em;
  background: #0070d2;
  -moz-border-radius: 0.69em;
  border-radius: 0.69em;
  background-color: #0070d2;
  display: block;
  position: relative;
}
.swatch-filter-blue.disabled {
  opacity: 0.2;
}

.swatch-circle-brown {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 2.5em;
  height: 2.5em;
  background: #a52a2a;
  -moz-border-radius: 1.25em;
  border-radius: 1.25em;
  display: block;
  position: relative;
}
.swatch-circle-brown.disabled {
  opacity: 0.2;
}

.swatch-filter-brown {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 1.38em;
  height: 1.38em;
  background: #a52a2a;
  -moz-border-radius: 0.69em;
  border-radius: 0.69em;
  background-color: #a52a2a;
  display: block;
  position: relative;
}
.swatch-filter-brown.disabled {
  opacity: 0.2;
}

.swatch-circle-burgundy {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 2.5em;
  height: 2.5em;
  background: #800020;
  -moz-border-radius: 1.25em;
  border-radius: 1.25em;
  display: block;
  position: relative;
}
.swatch-circle-burgundy.disabled {
  opacity: 0.2;
}

.swatch-filter-burgundy {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 1.38em;
  height: 1.38em;
  background: #800020;
  -moz-border-radius: 0.69em;
  border-radius: 0.69em;
  background-color: #800020;
  display: block;
  position: relative;
}
.swatch-filter-burgundy.disabled {
  opacity: 0.2;
}

.swatch-circle-gold {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 2.5em;
  height: 2.5em;
  background: #ffd700;
  -moz-border-radius: 1.25em;
  border-radius: 1.25em;
  display: block;
  position: relative;
}
.swatch-circle-gold.disabled {
  opacity: 0.2;
}

.swatch-filter-gold {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 1.38em;
  height: 1.38em;
  background: #ffd700;
  -moz-border-radius: 0.69em;
  border-radius: 0.69em;
  background-color: #ffd700;
  display: block;
  position: relative;
}
.swatch-filter-gold.disabled {
  opacity: 0.2;
}

.swatch-circle-green {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 2.5em;
  height: 2.5em;
  background: #71bf5e;
  -moz-border-radius: 1.25em;
  border-radius: 1.25em;
  display: block;
  position: relative;
}
.swatch-circle-green.disabled {
  opacity: 0.2;
}

.swatch-filter-green {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 1.38em;
  height: 1.38em;
  background: #71bf5e;
  -moz-border-radius: 0.69em;
  border-radius: 0.69em;
  background-color: #71bf5e;
  display: block;
  position: relative;
}
.swatch-filter-green.disabled {
  opacity: 0.2;
}

.swatch-circle-grey {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 2.5em;
  height: 2.5em;
  background: #8f979d;
  -moz-border-radius: 1.25em;
  border-radius: 1.25em;
  display: block;
  position: relative;
}
.swatch-circle-grey.disabled {
  opacity: 0.2;
}

.swatch-filter-grey {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 1.38em;
  height: 1.38em;
  background: #8f979d;
  -moz-border-radius: 0.69em;
  border-radius: 0.69em;
  background-color: #8f979d;
  display: block;
  position: relative;
}
.swatch-filter-grey.disabled {
  opacity: 0.2;
}

.swatch-circle-metallic {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 2.5em;
  height: 2.5em;
  background: #aaa9ad;
  -moz-border-radius: 1.25em;
  border-radius: 1.25em;
  display: block;
  position: relative;
}
.swatch-circle-metallic.disabled {
  opacity: 0.2;
}

.swatch-filter-metallic {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 1.38em;
  height: 1.38em;
  background: #aaa9ad;
  -moz-border-radius: 0.69em;
  border-radius: 0.69em;
  background-color: #aaa9ad;
  display: block;
  position: relative;
}
.swatch-filter-metallic.disabled {
  opacity: 0.2;
}

.swatch-circle-multicolour {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 2.5em;
  height: 2.5em;
  background: #669;
  -moz-border-radius: 1.25em;
  border-radius: 1.25em;
  display: block;
  position: relative;
}
.swatch-circle-multicolour.disabled {
  opacity: 0.2;
}

.swatch-filter-multicolour {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 1.38em;
  height: 1.38em;
  background: #669;
  -moz-border-radius: 0.69em;
  border-radius: 0.69em;
  background-color: #669;
  display: block;
  position: relative;
}
.swatch-filter-multicolour.disabled {
  opacity: 0.2;
}

.swatch-circle-neutral {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 2.5em;
  height: 2.5em;
  background: #fcc;
  -moz-border-radius: 1.25em;
  border-radius: 1.25em;
  display: block;
  position: relative;
}
.swatch-circle-neutral.disabled {
  opacity: 0.2;
}

.swatch-filter-neutral {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 1.38em;
  height: 1.38em;
  background: #fcc;
  -moz-border-radius: 0.69em;
  border-radius: 0.69em;
  background-color: #fcc;
  display: block;
  position: relative;
}
.swatch-filter-neutral.disabled {
  opacity: 0.2;
}

.swatch-circle-orange {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 2.5em;
  height: 2.5em;
  background: #ffa500;
  -moz-border-radius: 1.25em;
  border-radius: 1.25em;
  display: block;
  position: relative;
}
.swatch-circle-orange.disabled {
  opacity: 0.2;
}

.swatch-filter-orange {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 1.38em;
  height: 1.38em;
  background: #ffa500;
  -moz-border-radius: 0.69em;
  border-radius: 0.69em;
  background-color: #ffa500;
  display: block;
  position: relative;
}
.swatch-filter-orange.disabled {
  opacity: 0.2;
}

.swatch-circle-pink {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 2.5em;
  height: 2.5em;
  background: #fe249a;
  -moz-border-radius: 1.25em;
  border-radius: 1.25em;
  display: block;
  position: relative;
}
.swatch-circle-pink.disabled {
  opacity: 0.2;
}

.swatch-filter-pink {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 1.38em;
  height: 1.38em;
  background: #fe249a;
  -moz-border-radius: 0.69em;
  border-radius: 0.69em;
  background-color: #fe249a;
  display: block;
  position: relative;
}
.swatch-filter-pink.disabled {
  opacity: 0.2;
}

.swatch-circle-dark-blue {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 2.5em;
  height: 2.5em;
  background: #00008b;
  -moz-border-radius: 1.25em;
  border-radius: 1.25em;
  display: block;
  position: relative;
}
.swatch-circle-dark-blue.disabled {
  opacity: 0.2;
}

.swatch-filter-dark-blue {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 1.38em;
  height: 1.38em;
  background: #00008b;
  -moz-border-radius: 0.69em;
  border-radius: 0.69em;
  background-color: #00008b;
  display: block;
  position: relative;
}
.swatch-filter-dark-blue.disabled {
  opacity: 0.2;
}

.swatch-circle-rose-gold {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 2.5em;
  height: 2.5em;
  background: #b76e79;
  -moz-border-radius: 1.25em;
  border-radius: 1.25em;
  display: block;
  position: relative;
}
.swatch-circle-rose-gold.disabled {
  opacity: 0.2;
}

.swatch-filter-rose-gold {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 1.38em;
  height: 1.38em;
  background: #b76e79;
  -moz-border-radius: 0.69em;
  border-radius: 0.69em;
  background-color: #b76e79;
  display: block;
  position: relative;
}
.swatch-filter-rose-gold.disabled {
  opacity: 0.2;
}

.swatch-circle-print {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 2.5em;
  height: 2.5em;
  background: #fff;
  -moz-border-radius: 1.25em;
  border-radius: 1.25em;
  display: block;
  position: relative;
}
.swatch-circle-print.disabled {
  opacity: 0.2;
}

.swatch-filter-print {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 1.38em;
  height: 1.38em;
  background: #fff;
  -moz-border-radius: 0.69em;
  border-radius: 0.69em;
  background-color: #fff;
  display: block;
  position: relative;
}
.swatch-filter-print.disabled {
  opacity: 0.2;
}

.swatch-circle-navy {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 2.5em;
  height: 2.5em;
  background: #000080;
  -moz-border-radius: 1.25em;
  border-radius: 1.25em;
  display: block;
  position: relative;
}
.swatch-circle-navy.disabled {
  opacity: 0.2;
}

.swatch-filter-navy {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 1.38em;
  height: 1.38em;
  background: #000080;
  -moz-border-radius: 0.69em;
  border-radius: 0.69em;
  background-color: #000080;
  display: block;
  position: relative;
}
.swatch-filter-navy.disabled {
  opacity: 0.2;
}

.swatch-circle-light-blue {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 2.5em;
  height: 2.5em;
  background: #add8e6;
  -moz-border-radius: 1.25em;
  border-radius: 1.25em;
  display: block;
  position: relative;
}
.swatch-circle-light-blue.disabled {
  opacity: 0.2;
}

.swatch-filter-light-blue {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 1.38em;
  height: 1.38em;
  background: #add8e6;
  -moz-border-radius: 0.69em;
  border-radius: 0.69em;
  background-color: #add8e6;
  display: block;
  position: relative;
}
.swatch-filter-light-blue.disabled {
  opacity: 0.2;
}

.swatch-circle-beige {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 2.5em;
  height: 2.5em;
  background: #f5f5dc;
  -moz-border-radius: 1.25em;
  border-radius: 1.25em;
  display: block;
  position: relative;
}
.swatch-circle-beige.disabled {
  opacity: 0.2;
}

.swatch-filter-beige {
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  width: 1.38em;
  height: 1.38em;
  background: #f5f5dc;
  -moz-border-radius: 0.69em;
  border-radius: 0.69em;
  background-color: #f5f5dc;
  display: block;
  position: relative;
}
.swatch-filter-beige.disabled {
  opacity: 0.2;
}

.swatch-circle-miscellaneous {
  background: -webkit-gradient(linear, right bottom, right top, color-stop(0, rgb(130, 30, 145)), color-stop(25%, rgb(130, 30, 145)), color-stop(25%, rgb(237, 209, 52)), color-stop(50%, rgb(255, 255, 0)), color-stop(50%, rgb(237, 209, 52)), color-stop(50%, #59ba00), color-stop(76%, #59ba00), color-stop(76%, #111), to(#111)), -webkit-gradient(linear, right bottom, right top, color-stop(0, rgb(14, 92, 209)), color-stop(50%, rgb(14, 92, 209)), color-stop(50%, rgb(226, 11, 11)), to(rgb(226, 11, 11)));
  background: -o-linear-gradient(bottom, rgb(130, 30, 145) 0, rgb(130, 30, 145) 25%, rgb(237, 209, 52) 25%, rgb(255, 255, 0) 50%, rgb(237, 209, 52) 50%, #59ba00 50%, #59ba00 76%, #111 76%, #111 100%), -o-linear-gradient(bottom, rgb(14, 92, 209) 0, rgb(14, 92, 209) 50%, rgb(226, 11, 11) 50%, rgb(226, 11, 11) 100%);
  background: linear-gradient(0deg, rgb(130, 30, 145) 0, rgb(130, 30, 145) 25%, rgb(237, 209, 52) 25%, rgb(255, 255, 0) 50%, rgb(237, 209, 52) 50%, #59ba00 50%, #59ba00 76%, #111 76%, #111 100%), linear-gradient(0deg, rgb(14, 92, 209) 0, rgb(14, 92, 209) 50%, rgb(226, 11, 11) 50%, rgb(226, 11, 11) 100%);
  background-repeat: repeat-y, repeat;
  background-size: 50% 100%, 100% 100%;
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  border-radius: 1.25em;
  display: block;
  height: 2.5em;
  position: relative;
  -webkit-transform: rotate(-35deg);
      -ms-transform: rotate(-35deg);
          transform: rotate(-35deg);
  width: 2.5em;
}
.swatch-circle-miscellaneous.disabled {
  opacity: 0.2;
}
.swatch-circle-miscellaneous.selected::after {
  -webkit-transform: rotate(35deg);
      -ms-transform: rotate(35deg);
          transform: rotate(35deg);
}

.swatch-circle-print {
  background: url("../images/swatch/print.svg");
  background-repeat: no-repeat;
  background-size: cover;
  border: 0.063em solid rgba(0, 0, 0, 0.3);
  border-radius: 1.25em;
  display: block;
  height: 2.5em;
  position: relative;
  -webkit-transform: rotate(-35deg);
      -ms-transform: rotate(-35deg);
          transform: rotate(-35deg);
  width: 2.5em;
}
.swatch-circle-print.disabled {
  opacity: 0.2;
}

.category-tile {
  position: relative;
}
.category-tile h1,
.category-tile h2 {
  font-size: 1.75rem;
  position: absolute;
  bottom: 1.875rem;
  right: 1.875rem;
  color: #fff;
}
.category-tile::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background-image: -webkit-gradient(linear, right top, right bottom, color-stop(60%, transparent), to(rgba(0, 0, 0, 0.5)));
  background-image: -o-linear-gradient(top, transparent 60%, rgba(0, 0, 0, 0.5) 100%);
  background-image: linear-gradient(to bottom, transparent 60%, rgba(0, 0, 0, 0.5) 100%);
}

.l-product-grid {
  overflow-x: hidden;
  margin-left: -7.5px;
  margin-right: -7.5px;
}
@media (max-width: 543.98px) {
  .l-product-grid {
    -webkit-transform: translate3d(0, 0, 0);
  }
}
@media (min-width: 992px) {
  .l-product-grid {
    margin-left: -10px;
    margin-right: -10px;
  }
}
.l-product-grid__item {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  margin-bottom: 24px;
  padding: 0 7.5px;
}
@media (max-width: 543.98px) {
  .l-product-grid__item {
    -webkit-transform: translate3d(0, 0, 0);
  }
}
@media (min-width: 992px) {
  .l-product-grid__item {
    padding: 0 10px;
  }
}
.l-product-grid__item.lazyLoadTile {
  min-height: 350px;
}
.l-product-grid__item.lazyLoadTile:not(.loaded)::before {
  content: "";
  display: block;
  height: 0;
  width: 100%;
  padding-bottom: 150%;
  background-color: #f8f8f8;
}

/*
* Usage:
* 1. Same values for all properties:
*   .f-button {
*       @include transition(
*           (background-color, border-color, color, box-shadow, transform),
*           $transition-duration: $transition-duration-long
*       );
*   }
*
* 2. Different values for specific properties:
*   .f-button {
*       @include transition((
*           background-color: $transition-duration-short null null,
*           border-color: null,
*           box-shadow: 0.315s ease-in null,
*           transform: null ease null
*       ));
*   }
* (!) All values for each property is required.
* (!) 'null' is used for setting default value.
*/
@keyframes fade-in {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
/* Mixin to cut off the rest of one-line text with dots */
/* Firefox+ CSS styles go here */
.f-checkbox__label .f-field,
.f-radio__label .f-field {
  cursor: default;
}

/*
   1.0 Utility functions for RTLCSS
*/
/* Replace. Replaces the declaration value with {value}.
** Usage:
** letter-spacing: 1px rtl(normal);
*/
/* Append. Appends {value} to the end of the declaration value.
** Usage:
** transform: rotate(45deg) rtl-append(scaleX(-1));
*/
/* Prepend. Prepend {value} to the begining of the declaration value.
** Usage:
** transform: rotate(45deg) rtl-prepend(scaleX(-1));
*/
/* Prepend. Prepend {value} to the begining of the declaration value.
** Usage:
** transform: rotate(45deg) rtl-prepend(scaleX(-1));
*/
/* Ignore. Ignores processing of this declaration
** Usage:
** text-align: left rtl-ignore();
*/
:root {
  --sticky-header-height: 55px;
}

@media (min-width: 769px) {
  .l-search {
    margin-top: 24px;
  }
}
.l-search--no-margin {
  margin-top: 0;
}
.l-search__banner {
  overflow: hidden;
}
@media (max-width: 768.98px) {
  .l-search__main {
    padding: 0 20px;
  }
}
.l-search__main .b-banner {
  margin-bottom: 22px;
}
@media (max-width: 768.98px) {
  .l-search__main .b-banner {
    margin-bottom: 12px;
  }
}
@media (max-width: 768.98px) {
  .l-search__main .l-search__banner {
    margin: 0 -20px;
  }
}
.l-search__main-review {
  margin-top: 30px;
}
.l-search__header {
  display: none;
  position: -webkit-sticky;
  position: sticky;
  top: 0;
  z-index: 5;
  background: rgba(255, 255, 255, 0.5);
  padding: 10px 0;
  margin-bottom: 6px;
}
@media (min-width: 769px) {
  .l-search__header {
    display: block;
  }
}
@media (max-width: 768.98px) {
  .l-search__divider {
    margin: 0 -20px;
    position: relative;
  }
}
@media (max-width: 768.98px) {
  .l-search__divider-inner {
    background: #e8e8e8;
    height: 1px;
    width: 100%;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
  }
}
.l-search .l-breadcrumbs-container {
  margin: 0 7.5px;
  padding-bottom: 37px;
  width: 100%;
}
@media (min-width: 992px) {
  .l-search .l-breadcrumbs-container {
    margin: 0 10px;
  }
}
@media (min-width: 769px) {
  .l-search .l-breadcrumbs-container {
    -webkit-box-shadow: inset 0 -1px 0 #e8e8e8;
            box-shadow: inset 0 -1px 0 #e8e8e8;
  }
}
.l-search .blm-breadcrumb {
  margin: 0 auto;
  max-width: 375px;
}
@media (max-width: 991.98px) {
  .l-search .blm-breadcrumb {
    max-width: 327px;
  }
}
.l-search .blm-breadcrumb__list {
  -webkit-box-align: center;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
      -ms-flex-pack: center;
          justify-content: center;
  gap: 12px 24px;
  margin: 0 auto;
  max-width: 300px;
  padding: 0;
}
.l-search .blm-breadcrumb__item {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
}

@media (max-width: 768.98px) {
  .l-search__filter {
    overflow: hidden;
  }
}

@media (max-width: 768.98px) {
  .l-search__filter-inner {
    display: block;
    margin: 0 -20px;
  }
  .l-search__filter-inner--mobile {
    position: -webkit-sticky;
    position: sticky;
    top: var(--sticky-header-height);
    z-index: 6;
    padding: 18px 20px;
    background: #fff;
    right: 0;
    width: 100vw;
    margin: 0 -20px 8px;
    -webkit-transition: 0.3s ease;
    -o-transition: 0.3s ease;
    transition: 0.3s ease;
    -webkit-box-shadow: 0;
            box-shadow: 0;
  }
  .l-search__filter-inner--mobile.is-pinned {
    -webkit-box-shadow: 0 0 40px 32px rgba(17, 17, 17, 0.1);
            box-shadow: 0 0 40px 32px rgba(17, 17, 17, 0.1);
  }
  .l-search__filter-inner--mobile .plp-sorting__select {
    position: absolute;
    left: 20px;
    border: 0;
    opacity: 0;
    font-size: 14px;
  }
  .l-search__filter-inner .l-search__selected-filter {
    -webkit-user-select: none;
    display: block;
    overflow-y: hidden;
    padding: 0;
    position: relative;
    -webkit-overflow-scrolling: touch;
    overflow-x: scroll;
    margin-bottom: -6px;
  }
  .l-search__filter-inner .l-search__selected-filter::-webkit-scrollbar {
    display: none;
  }
}

.l-search__filter-inner--mobile {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: justify;
  -webkit-justify-content: space-between;
      -ms-flex-pack: justify;
          justify-content: space-between;
}

@media (max-width: 768.98px) {
  .l-search__selected-filter {
    min-width: 100%;
  }
}

@media (min-width: 769px) {
  .l-search_main-header {
    margin-top: -7px;
  }
}

.l-search__results-count {
  font-size: 12px;
  font-weight: 400;
}

.l-search__back-to-top {
  bottom: 24px;
  color: #fff;
  font-size: 16px;
  margin: 24px auto;
  pointer-events: none;
  position: -webkit-sticky;
  position: sticky;
  text-align: center;
  z-index: 5;
}
.l-search__back-to-top .icon {
  background-color: #111;
  border-radius: 100%;
  cursor: pointer;
  line-height: 20px;
  padding: 14px 16px;
  pointer-events: visible;
}

.l-product-grid.d-none ~ .l-search__back-to-top {
  border: 0;
  clip: rect(0 0 0 0);
  font-size: 0;
  height: 1px;
  margin: -1px;
  max-width: 1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
}

.b-no-search-result__header {
  text-align: center;
}
.b-no-search-result__no-result-title {
  margin-top: 24px;
  font-size: 18px;
  line-height: 22px;
  font-weight: 600;
  color: #111;
  margin-bottom: 8px;
}
@media (min-width: 769px) {
  .b-no-search-result__no-result-title {
    margin-top: 52px;
  }
}
.b-no-search-result__no-result-phrase {
  font-size: 16px;
  line-height: 24px;
  color: #767676;
  margin-bottom: 8px;
}
@media (min-width: 769px) {
  .b-no-search-result__no-result-phrase {
    font-size: 20px;
    line-height: 30px;
    margin-bottom: 4px;
  }
}
.b-no-search-result__no-result-subtitle {
  margin-bottom: 28px;
  font-size: 14px;
  line-height: 20px;
  color: #111;
}
@media (min-width: 769px) {
  .b-no-search-result__no-result-subtitle {
    margin-bottom: 24px;
  }
}
.b-no-search-result__home-link {
  font-size: 12px;
  line-height: 15px;
  font-weight: 600;
  color: #111;
  margin-bottom: 20px;
  display: inline-block;
  border-bottom: 1px solid #111;
}
.non-touch .b-no-search-result__home-link:hover {
  color: #111;
}
@media (min-width: 769px) {
  .b-no-search-result__home-link {
    margin-bottom: 44px;
  }
}
.b-no-search-result__content {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: reverse;
  -webkit-flex-direction: column-reverse;
      -ms-flex-direction: column-reverse;
          flex-direction: column-reverse;
}
@media (min-width: 769px) {
  .b-no-search-result__content {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
        -ms-flex-direction: column;
            flex-direction: column;
  }
}
.b-no-search-result__carousel {
  position: relative;
}
.b-no-search-result__carousel .swiper-container {
  max-height: 540px;
  visibility: hidden;
}
@media (min-width: 769px) {
  .b-no-search-result__carousel .swiper-container {
    max-height: 595px;
  }
}
.b-no-search-result__carousel .swiper-container.swiper-container-initialized {
  max-height: initial;
  visibility: visible;
}
.b-no-search-result__carousel .blm-producttile__price {
  min-height: 40px;
}
.b-no-search-result__recommendations {
  padding-top: 16px;
  padding-bottom: 32px;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
      -ms-flex-direction: column;
          flex-direction: column;
}
@media (min-width: 769px) {
  .b-no-search-result__recommendations {
    padding-top: 10px;
    padding-bottom: 78px;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -webkit-flex-direction: row;
        -ms-flex-direction: row;
            flex-direction: row;
  }
}
.b-no-search-result__recommendation-item {
  -webkit-box-flex: 0;
  -webkit-flex: 0 1 100%;
      -ms-flex: 0 1 100%;
          flex: 0 1 100%;
  margin-bottom: 32px;
}
@media (min-width: 769px) {
  .b-no-search-result__recommendation-item {
    margin-bottom: 0;
    margin-left: 24px;
    -webkit-box-flex: 0;
    -webkit-flex: 0 1 384px;
        -ms-flex: 0 1 384px;
            flex: 0 1 384px;
  }
}
.b-no-search-result__recommendation-item:last-child {
  margin: 0;
}
.b-no-search-result__image {
  width: 100%;
}
.b-no-search-result__title {
  color: #111;
  font-size: 20px;
  font-weight: 600;
  line-height: 25px;
  margin: 16px 0 18px;
}
@media (min-width: 769px) {
  .b-no-search-result__title {
    font-size: 24px;
    line-height: 30px;
    margin: 24px 0 18px;
  }
}
.b-no-search-result__links {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
}
.b-no-search-result__link {
  font-weight: 600;
  font-size: 14px;
  line-height: 19px;
  margin-left: 32px;
  color: #111;
  border-bottom: 1px solid #111;
}
.b-no-search-result__link:last-child {
  margin-left: 0;
}
.non-touch .b-no-search-result__link:hover {
  color: #111;
}
.b-no-search-result .swiper-header {
  margin-top: 22px;
}
@media (min-width: 769px) {
  .b-no-search-result .swiper-header {
    margin-top: 6px;
  }
}
.b-no-search-result .swiper-header__title {
  font-size: 16px;
  font-weight: 600;
  line-height: 20px;
}
.b-no-search-result .swiper-container {
  margin-bottom: 20px;
  padding-bottom: 20px;
  opacity: 0;
}
@media (min-width: 769px) {
  .b-no-search-result .swiper-container {
    margin-bottom: 0;
    padding-bottom: 0;
  }
}
.b-no-search-result .swiper-container.swiper-container-initialized {
  opacity: 1;
}
.b-no-search-result .select2-selection--single {
  height: 40px;
}
.b-no-search-result .swiper-scrollbar {
  border-radius: 2px;
  height: 4px;
  width: 200px;
  background-color: #f9f9f9;
}
.b-no-search-result .swiper-scrollbar-drag {
  background-color: #cbcbcb;
}
.b-no-search-result .swiper-arrows .swiper-button-next,
.b-no-search-result .swiper-arrows .swiper-button-prev {
  top: 18px;
}
@media (max-width: 768.98px) {
  .b-no-search-result .swiper-arrows .swiper-button-next,
  .b-no-search-result .swiper-arrows .swiper-button-prev {
    top: 34px;
  }
}

.b-search-results {
  padding-bottom: 7px;
}
@media (max-width: 768.98px) {
  .b-search-results {
    padding-bottom: 11px;
  }
}
.b-search-results__title {
  font-weight: 400;
  font-size: 18px;
  letter-spacing: 1.4px;
  text-transform: uppercase;
  color: #000;
}
.b-search-results__autocorrections, .b-search-results__suggestions {
  margin-top: 19px;
  font-size: 14px;
  font-weight: 400;
}
@media (max-width: 768.98px) {
  .b-search-results__autocorrections, .b-search-results__suggestions {
    margin-top: 17px;
  }
}
.b-search-results__autocorrections-word {
  text-decoration: underline;
}
.b-search-results__autocorrections-word, .b-search-results__suggestions-word {
  text-transform: capitalize;
}
.b-search-results__suggestions-label {
  margin-left: 7px;
}
.b-search-results--products .b-search-results__title {
  margin: 2px 0 3px;
  font-size: 1rem;
}
.b-search-results--products .b-search-results__keywords-label {
  font-weight: 400;
  font-size: 18px;
}
@media (max-width: 768.98px) {
  .b-search-results--products .b-search-results__keywords-label {
    display: block;
    color: #767676;
    margin-bottom: 3px;
    letter-spacing: 1.3px;
  }
}

.text-some-tips {
  font-weight: 900;
  font-size: 14px;
  color: #767676;
  margin: 27px 0 10px;
}

.list-some-tips {
  padding: 0 24px;
}
.list-some-tips li {
  margin-bottom: -8px;
  font-size: 27px;
}
.list-some-tips li span {
  font-size: 14px;
}
.list-some-tips li a {
  color: #000 !important;
  text-decoration: underline !important;
  cursor: pointer;
}

.info-no-result {
  padding-bottom: 58px;
  margin-bottom: 77px;
}

.secondary-bar {
  padding-right: 0;
  padding-left: 0;
  padding-bottom: 1em;
  overflow: auto;
}
@media (max-width: 768.98px) {
  .secondary-bar button.reset {
    float: left;
  }
}
@media (min-width: 544px) and (max-width: 768.98px) {
  .secondary-bar {
    padding: 0.938em 2.813em;
  }
}
@media (max-width: 543.98px) {
  .secondary-bar {
    padding: 0.938em;
  }
}

.disabled {
  pointer-events: none;
}

.grid-header,
.content-grid-header {
  margin-top: 1em;
  margin-bottom: 1em;
}
@media (max-width: 543.98px) {
  .grid-header .result-count,
  .content-grid-header .result-count {
    padding-bottom: 0.938em;
  }
  .grid-header .filter-results,
  .content-grid-header .filter-results {
    display: block;
    width: 100%;
  }
}
.grid-header select,
.content-grid-header select {
  width: 100%;
}

.result-count {
  font-size: 0.875rem;
}

.search-banner {
  background-image: url("../images/search.jpg");
  background-position-y: 40%;
}

.search-keywords {
  font-weight: 900;
}

@media (max-width: 543.98px) {
  .tab-content {
    padding-right: 0;
    padding-left: 0;
  }
}

.search-tips {
  text-align: right;
  margin-top: 1.875rem;
}

.category-item {
  margin-bottom: 0.938rem;
}

.show-more,
.show-more-content {
  padding: 0.938em;
  clear: both;
}

.swatch-mark.color-value[data-selected=true]::after {
  color: #000;
  content: "\F058";
  display: table-caption;
  font-family: "FontAwesome";
  font-size: 1.625em;
  right: 0.295em;
  position: absolute;
}
.swatch-mark.color-value.selected::after {
  background: #fff;
  border-radius: 50%;
  color: #000;
  content: "\F058";
  display: table-caption;
  font-family: "FontAwesome";
  font-size: 1.625em;
  height: 0.75em;
  right: 0.31em;
  line-height: 0.8em;
  position: absolute;
  top: 0.35em;
  width: 0.8em;
}

.search-nav {
  margin-bottom: 1em;
  border-bottom: 0.063em solid #d0d0d0;
}
.search-nav .nav-tabs-wrapper {
  padding: 0;
}
@media (max-width: 543.98px) {
  .search-nav .nav-tabs-wrapper {
    width: 100%;
  }
}
.search-nav .nav-tabs-wrapper .nav-tabs {
  border-bottom: 0 none;
}
.search-nav .nav-link:focus {
  background-color: #f8f8f8;
}

.product-options .quantity {
  position: absolute;
  bottom: 0;
  left: 0;
}

.b-search-page .select2-container.select2-container--open {
  z-index: 4 !important;
}
